@import url(style.css);
/* contact */
.app-window {
    overflow: hidden;
    pointer-events: none;
    display: none;
    opacity: 0;
    position: fixed;
    top: 120px;
    left: 120px;
    width: 900px;
    height: 920px;
    background-color: var(--base-varient);
    border-radius: 20px;
    box-shadow: var(--box-shadow);
    transition: all 300ms ease-in-out;
    color: var(--primary-text);
    transform: scale(0.9) translateY(20px);
    box-shadow: var(--box-shadow);
    border: 2px solid var(--border);
    transition: opacity 0.35s ease, transform 0.35s ease;
    font-family: 'Poppins', sans-serif;
    resize: both;
}
.indicator {
    position: absolute;
    bottom: 40px;
    right: 2px;
    font-size: 12px;
    color: var(--secondary-text);
    user-select: none;
    pointer-events: none;
    animation: float 2s ease-in-out infinite;
}
.resize {
    position: absolute;
    bottom: 15px;
    right: 2px;
    font-size: 20px;
    color: var(--secondary-text);
    cursor: se-resize;
    animation: float 2s ease-in-out infinite;
}
@keyframes float {
    0% {
        transform: translateY(0px);
    }
    50% {
        transform: translateY(-5px);
    }
    100% {
        transform: translateY(0px);
    }
}
.app-window.show {
    pointer-events: auto;
    display: block;
    opacity: 1;
    transform: scale(1) translateY(0);
}
.contact-header {
    background-color: var(--secondary);
    padding: 15px 25px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--primary-text);
    cursor: grab;
    user-select: none;
}
.contact-header:active {
    cursor: grabbing;
}
.contact-header h1 {
    cursor: default;
}
.close-app {
    background: none;
    border: none;
    cursor: pointer;
}
.close-app button {
    cursor: pointer;
    border: none;
    background: none;
}
.close-app i {
    font-size: 30px;
    color: var(--primary-text);
}
@media (max-width: 1400px) {
    .app-window {
        width: 80vw;
        height: 90vh;
    }
}
@media (max-width: 1024px) {
    .app-window {
        width: 90vw;
        height: 85vh;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) scale(0.95);
    }
}
@media (max-width: 900px) {
    .app-window {
        width: 100vw;
        height: 100vh;
        border-radius: 0;
        top: 0;
        left: 0;
        transform: scale(0.95);
        resize: none;
    }

    .app-window.active {
        transform: scale(1);
    }
    .indicator {
        display: none;
    }
    .resize {
        display: none;
    }
}
.contact-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: var(--text-color);
    overflow-y: auto;
}
.contact-content h1 {
    margin-top: 30px;
    margin-bottom: 15px;
}
.input form {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: clamp(10px, 0vw, 20px);
}
form input {
    width: 100%;
    padding-right: clamp(10px, 2vw, 25px);
    padding-left: clamp(10px, 2vw, 25px);
    padding-top: clamp(8px, 1vw, 10px);
    padding-bottom: clamp(8px, 1vw, 10px);
    border: 1px solid var(--border);
    border-radius: 5px;
    font-size: 16px;
    font-family: 'Poppins', sans-serif;
    color: var(--text-color);
    background-color: var(--background);
}
form textarea {
    width: 100%;
    border: 1px solid var(--border);
    border-radius: 5px;
    font-size: 16px;
    font-family: 'Poppins', sans-serif;
    color: var(--primary-text);
    background-color: var(--background);
    color: var(--text-color);
}
form button {
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    margin-top: 20px;
    margin-bottom: 10px;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    background-color: var(--primary);
    color: var(--primary-text);
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s ease;
}
.email a {
    font-family: 'Poppins', sans-serif;
    color: var(--secondary-text);
    transition: all 200ms ease-in-out;
}
.email a:hover {
    color: var(--text-color);
    text-decoration: underline;
}
@media (max-width: 1400px) {
    .contact-content {
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        justify-content: center;
        gap: 30px;
    }
    .first-part {
        width: 50%;
        display: flex;
        border-right: 2px solid #fff;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
    }
    .second-part {
        margin-top: 30px;
        width: 50%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
    }
    .email h2 {
        font-size: clamp(20px, 3vw, 28px);
        margin-bottom: 14px;
    }
    .email a {
        margin-top: 36px !important;
        font-size: clamp(7px, 2vw, 24px);
    }
    .socials {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    .socials h1 {
        font-size: clamp(10px, 3vw, 28px);
    }
    .social-linkss {
        display: flex;
        gap: clamp(10px, 2vw, 30px);
        margin-top: 10px;
    }
}
@media (max-width: 600px) {
    .contact-content h1 {
        font-size: 25px;
    }
    .input form {
        gap: 10px;
    }
    form input {
        width: 90%;
        font-size: 14px;
    }
    form textarea {
        width: 90%;
        font-size: 14px;
    }
    form button {
        font-size: 14px;
    }
    .second-part {
        width: 30%;
    }
}
.projects-window {
    overflow: hidden;
    resize: both;
    pointer-events: none;
    display: none;
    opacity: 0;
    position: fixed;
    top: 120px;
    left: 120px;
    width: 900px;
    height: 820px;
    background-color: var(--base-varient);
    border-radius: 20px;
    box-shadow: var(--box-shadow);
    transition: all 300ms ease-in-out;
    color: var(--primary-text);
    transform: scale(0.9) translateY(20px);
    box-shadow: var(--box-shadow);
    border: 2px solid var(--border);
    transition: opacity 0.35s ease, transform 0.35s ease;
    font-family: 'Poppins', sans-serif;  
}
.projects-header {
    background-color: var(--primary);
    color: var(--primary-text);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 25px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    cursor: grab;
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
}
.projects-content {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 700px;
    width: 100%;
    color: var(--text-color);
    overflow-y: auto;
    box-sizing: border-box;
}
.projects-content::-webkit-scrollbar {
    width: 8px;
}
.projects-content::-webkit-scrollbar-track {
  background: #f0f0f0;
  border-radius: 4px;
}
.projects-content::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 4px;
}
.projects-content::-webkit-scrollbar-thumb:hover {
  background: #555;
}
.projects-window.show {
    pointer-events: auto;
    opacity: 1;
    transform: scale(1) translateY(0);
    display: block;
}
@media (max-width: 1400px) {
    .projects-window {
        width: 80vw;
        height: 90vh;
    }
    .projects-content {
        height: 70vh;
    }
}
@media (max-width: 1024px) {
    .projects-window {
        width: 90vw;
        height: 85vh;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) scale(0.95);
    }
}
@media (max-width: 600px) {
    .projects-window {
        width: 100vw;
        height: 100vh;
        border-radius: 0;
        top: 0;
        left: 0;
        transform: scale(0.95);
        resize: none;
    }
    .indicator {
        display: none;
    }
    .resize {
        display: none;
    }
    .projects-content h1 {
        font-size: 20px;
    }
    .projects-window.active {
        transform: scale(1);
    }
    .projects-content {
        height: 80vh;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 9px;
    }
}